Bug 1027595 - Fedora20:Reclaim space is not working as expected [NEEDINFO]
Fedora20:Reclaim space is not working as expected
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
ppc64 All
unspecified Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 02:43 EST by IBM Bug Proxy
Modified: 2013-12-30 05:38 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 12:51:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dlehman: needinfo? (bugproxy)


Attachments (Terms of Use)
reclaim space snap1 (149.58 KB, image/png)
2013-11-07 02:43 EST, IBM Bug Proxy
no flags Details
reclaim space snap2 (263.05 KB, image/png)
2013-11-07 02:43 EST, IBM Bug Proxy
no flags Details
reclaim space snap3 (158.54 KB, image/png)
2013-11-07 02:43 EST, IBM Bug Proxy
no flags Details
reclaim space snap4 (152.08 KB, image/png)
2013-11-07 02:44 EST, IBM Bug Proxy
no flags Details
reclaim space snap5 (149.21 KB, image/png)
2013-11-07 02:44 EST, IBM Bug Proxy
no flags Details
reclaim space snap6 (222.78 KB, image/png)
2013-11-07 02:44 EST, IBM Bug Proxy
no flags Details
reclaim space snap7 (177.39 KB, image/png)
2013-11-07 02:44 EST, IBM Bug Proxy
no flags Details
reclaim space snap8 (208.82 KB, image/png)
2013-11-07 02:45 EST, IBM Bug Proxy
no flags Details
logs (19.37 MB, application/x-tar)
2013-11-07 02:45 EST, IBM Bug Proxy
no flags Details
SOSREPORT (5.53 MB, application/x-xz)
2013-11-07 02:45 EST, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 99160 None None None Never

  None (edit)
Description IBM Bug Proxy 2013-11-07 02:43:12 EST
== Comment: #0 - Khushboo Srivastava <khusriva@in.ibm.com> - 2013-10-29 04:25:41 ==
------Description------ 

I tried installing fedora 20 on a lpar  of P7 JUNOIOC+ 2 through virtual DVD installation.
On reclaiming the existing space on a disk for custom partitioning it is not reclaiming the disk space and is not deleteting the existing partition on the disk.

I tried this on the latest fedora20 iso 

http://ppc.koji.fedoraproject.org/stage/f20-20131021-Beta-TC5.1/Fedora/ppc64/iso/Fedora-20-ppc64-DVD.iso


------uname -a o/p-------

Linux junoiocplus2-lp3.austin.ibm.com 3.11.5-302.fc20.ppc64p7 #1 SMP Wed Oct 16 15:09:30 MST 2013 ppc64 ppc64 ppc64 GNU/Linux

--- Steps to reproduce ---

1) Boot from virtual DVD of Fedora20 ppc64
     http://ppc.koji.fedoraproject.org/stage/f20-20131021-Beta-TC5.1/Fedora/ppc64/iso/Fedora-20-ppc64-DVD.iso
2) Proceed for VNC installation
3) Select a disk (say sda)
4) Note the free size available on the disk 
5) Click done. 
6) Select Partition scheme as LVM.
7) Select Reclaim space. 
8) again select delete all and reclaim space.
9)  On installation summary page select Installation destination.
10) Select the disk again (note the available space on the disk is still the same after reclaiming all the space)
11) Select done and select "I want to review modify my disk partitioning" option.
12) click continue.
13) On the Manual partitioning page check the available size of the disk.

== Comment: #1 - Khushboo Srivastava <khusriva@in.ibm.com> - 2013-10-29 04:26:18 ==


== Comment: #2 - Khushboo Srivastava <khusriva@in.ibm.com> - 2013-10-29 04:26:40 ==


== Comment: #3 - Khushboo Srivastava <khusriva@in.ibm.com> - 2013-10-29 04:27:07 ==


== Comment: #4 - Khushboo Srivastava <khusriva@in.ibm.com> - 2013-10-29 04:27:35 ==


== Comment: #5 - Khushboo Srivastava <khusriva@in.ibm.com> - 2013-10-29 04:28:05 ==


== Comment: #6 - Khushboo Srivastava <khusriva@in.ibm.com> - 2013-10-29 04:28:32 ==


== Comment: #7 - Khushboo Srivastava <khusriva@in.ibm.com> - 2013-10-29 04:28:55 ==


== Comment: #12 - Khushboo Srivastava <khusriva@in.ibm.com> - 2013-11-06 11:48:32 ==
Please find the attachment for the logs asked in the above command as a tar ball

== Comment: #13 - Khushboo Srivastava <khusriva@in.ibm.com> - 2013-11-06 11:57:19 ==
I was also able to create the sosreport by disabling the gluster,cluster,yum and networking Please find the attachment for SOSREPORT
Comment 1 IBM Bug Proxy 2013-11-07 02:43:26 EST
Created attachment 820898 [details]
reclaim space snap1
Comment 2 IBM Bug Proxy 2013-11-07 02:43:39 EST
Created attachment 820899 [details]
reclaim space snap2
Comment 3 IBM Bug Proxy 2013-11-07 02:43:52 EST
Created attachment 820900 [details]
reclaim space snap3
Comment 4 IBM Bug Proxy 2013-11-07 02:44:07 EST
Created attachment 820901 [details]
reclaim space snap4
Comment 5 IBM Bug Proxy 2013-11-07 02:44:21 EST
Created attachment 820902 [details]
reclaim space snap5
Comment 6 IBM Bug Proxy 2013-11-07 02:44:34 EST
Created attachment 820903 [details]
reclaim space snap6
Comment 7 IBM Bug Proxy 2013-11-07 02:44:48 EST
Created attachment 820904 [details]
reclaim space snap7
Comment 8 IBM Bug Proxy 2013-11-07 02:45:00 EST
Created attachment 820905 [details]
reclaim space snap8
Comment 9 IBM Bug Proxy 2013-11-07 02:45:35 EST
Created attachment 820906 [details]
logs
Comment 10 IBM Bug Proxy 2013-11-07 02:45:59 EST
Created attachment 820907 [details]
SOSREPORT
Comment 11 David Lehman 2013-11-07 11:32:39 EST
Please try again with the more recent ISO found here:

  http://ppc.koji.fedoraproject.org/stage/f20-20131107-Beta-RC5.0/Fedora/ppc64/iso/Fedora-20-Beta-ppc64-DVD.iso

I believe you are seeing a bug that has been resolved in the newer tree.
Comment 12 IBM Bug Proxy 2013-11-11 09:39:09 EST
------- Comment From khusriva@in.ibm.com 2013-11-11 14:19 EDT-------
(In reply to comment #20)
> Please try again with the more recent ISO found here:
>
> http://ppc.koji.fedoraproject.org/stage/f20-20131107-Beta-RC5.0/Fedora/ppc64/
> iso/Fedora-20-Beta-ppc64-DVD.iso
>
> I believe you are seeing a bug that has been resolved in the newer tree.

The reclaim space is working fine on the latest iso given
Comment 13 IBM Bug Proxy 2013-12-30 05:38:18 EST
------- Comment From iranna.ankad@in.ibm.com 2013-12-30 10:25 EDT-------
Thanks for confirming the fix, Khushboo, Closing..

Note You need to log in before you can comment on or make changes to this bug.